import { Instance, Placement } from 'tippy.js';
import CommandBar from './command-bar';
import { CloseReason } from '../types';
export default abstract class HoveringCommandBar extends CommandBar {
    tippyInstance: Instance | null;
    create(target: HTMLElement, options?: {
        placement?: Placement;
        point?: {
            x: number;
            y: number;
        };
        delay?: number | [number | null, number | null] | undefined;
    }): void;
    close(reason: CloseReason): void;
    destroy(): void;
    protected getCommandBarRoot(): HTMLElement | null;
    get isVisible(): boolean;
}
